Bug 684275 - kernel: BUG: warning at drivers/char/tty_audit.c:55/tty_audit_buf_free() [rhel-6.0.z]
Summary: kernel: BUG: warning at drivers/char/tty_audit.c:55/tty_audit_buf_free() [rhe...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: x86_64
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Frantisek Hrbata
QA Contact: Eryu Guan
URL:
Whiteboard:
Depends On: 680126
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-11 16:36 UTC by RHEL Product and Program Management
Modified: 2011-05-10 18:13 UTC (History)
10 users (show)

Fixed In Version: kernel-2.6.32-71.26.1.el6
Doc Type: Bug Fix
Doc Text:
Using the pam_tty_audit.so module (which enables or disables TTY auditing for specified users) in the /etc/pam.d/sudo file and in the /etc/pam.d/system-auth file when the audit package is not installed resulted in soft lock-ups on CPUs. As a result, the kernel became unresponsive. This was due to the kernel exiting immediately after TTY auditing was disabled, without emptying the buffer, which caused the kernel to spin in a loop, copying 0 bytes at each iteration and attempting to push each time without any effect. With this update, a locking mechanism is introduced to prevent the aforementioned behavior.
Clone Of:
Environment:
Last Closed: 2011-05-10 18:13:16 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0498 normal SHIPPED_LIVE Important: kernel security, bug fix, and enhancement update 2011-05-10 18:10:04 UTC

Description RHEL Product and Program Management 2011-03-11 16:36:52 UTC
This bug has been copied from bug #680126 and has been proposed
to be backported to 6.0 z-stream (EUS).

Comment 5 KernelOops Bot 2011-04-26 05:16:09 UTC
 with this guiltyfunc:  bug 680126

Comment 7 Martin Prpič 2011-05-05 08:58:08 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Using the pam_tty_audit.so module (which enables or disables TTY auditing for specified users) in the /etc/pam.d/sudo file and in the /etc/pam.d/system-auth file when the audit package is not installed resulted in soft lock-ups on CPUs. As a result, the kernel became unresponsive. This was due to the kernel exiting immediately after TTY auditing was disabled, without emptying the buffer, which caused the kernel to spin in a loop, copying 0 bytes at each iteration and attempting to push each time without any effect. With this update, a locking mechanism is introduced to prevent the aforementioned behavior.

Comment 8 errata-xmlrpc 2011-05-10 18:13:16 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0498.html


Note You need to log in before you can comment on or make changes to this bug.